GeoIndexUpdaterFactoryService
Date: 2012-06-28

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.indexmanagement.geoindexupdater
Class GeoIndexUpdaterFactoryService

    java.lang.Object
      GCUBEPortType
          org.gcube.indexmanagement.geoindexupdater.GeoIndexUpdaterFactoryService

    public class GeoIndexUpdaterFactoryService

extends GCUBEPortType

GeoIndexUpdaterFactoryService creates GeoIndexUpdaterResource instances and returns references to the created objects.

Version:
  0.1

Constructor Summary
`GeoIndexUpdaterFactoryService()`

Method Summary
`CreateResourceResponse` | `createResource(CreateResource request)` Creates an instance of the GeoIndexUpdaterResource class and returns a reference to it

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoIndexUpdaterFactoryService

    public GeoIndexUpdaterFactoryService()
                                  throws GCUBEFault

Throws:
  `GCUBEFault`

Method Detail

### createResource

    public CreateResourceResponse createResource(CreateResource request)
                                          throws GCUBEFault

  Creates an instance of the GeoIndexUpdaterResource class and returns a reference to it

  Parameters:
    `request` - `CreateResource` - Object containing the epr of the `GeoIndexManagementService` the new resource should be connected to.
  Returns:
    `CreateResourceResponse` - object containing the epr of the created GeoIndexUpdaterResource instance
  Throws:
    `GCUBEFault`
  See Also:
    `org.diligentproject.indexservice.geoindexmanagement.stubs.GeoIndexIndexManagementFactoryPortType`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD